Bug 1860535 - Console project listing no longer shows project description specified by annotation [NEEDINFO]
Summary: Console project listing no longer shows project description specified by anno...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Debsmita Santra
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-24 22:36 UTC by Luke Stanton
Modified: 2020-09-14 10:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-07 13:44:23 UTC
Target Upstream Version:
pweil: needinfo? (jhadvig)


Attachments (Terms of Use)
projects description in list (72.06 KB, image/png)
2020-09-14 09:57 UTC, XiaochuanWang
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6163 None closed Bug 1860535: show project description 2020-09-21 03:40:49 UTC
Github openshift console pull 6169 None closed Column Management Modal for Nodes Page, Projects Page and Namespaces Page 2020-09-21 03:40:48 UTC

Description Luke Stanton 2020-07-24 22:36:59 UTC
Description of problem:

In OCP 3.11, projects with an 'openshift.io/description' annotation had that description displayed in the main project listing. This appears to have been lost in the OCP 4.x project listing.


How reproducible: Consistently


Steps to Reproduce:
1. Specify a project description using 'openshift.io/description'
2. View the project listing in the console UI


Actual results:
Project description is not displayed anywhere in the project listing UI.


Expected results:
Project description would be easily accessible from the main project listing UI.

Comment 4 Jakub Hadvig 2020-08-03 13:22:38 UTC
This was implemented in https://github.com/openshift/console/pull/6169
Moving to MODIFIED

Comment 7 Yadan Pei 2020-08-07 09:01:11 UTC
https://github.com/openshift/console/pull/6163 should be the correct PR fixing this issue but still open, moving back to ASSIGNED

Comment 11 XiaochuanWang 2020-09-14 09:57:10 UTC
Created attachment 1714739 [details]
projects description in list

Comment 12 XiaochuanWang 2020-09-14 10:00:20 UTC
Attached the screenshot for refer.
Verified on 4.6.0-0.nightly-2020-09-12-230035


Note You need to log in before you can comment on or make changes to this bug.